Get
curl --request GET \
--url https://api.sandbox.tesouro.com/finops/v1/mail-templates/{template_id} \
--header 'Authorization: Bearer <token>' \
--header 'x-finops-version: <x-finops-version>'import requests
url = "https://api.sandbox.tesouro.com/finops/v1/mail-templates/{template_id}"
headers = {
"x-finops-version": "<x-finops-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-finops-version': '<x-finops-version>', Authorization: 'Bearer <token>'}
};
fetch('https://api.sandbox.tesouro.com/finops/v1/mail-templates/{template_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"body_template": "<string>",
"is_default": true,
"language": "<string>",
"name": "<string>",
"subject_template": "<string>",
"type": "<string>"
}{
"error": {
"message": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"error": {
"message": "<string>"
}
}Mail templates
Get
Get custom template by ID
GET
/
finops
/
v1
/
mail-templates
/
{template_id}
Get
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Path Parameters
Response
Successful Response
ID of email template
Template created date and time
Template updated date and time
Jinja2 compatible email body template
Is default template
Lowercase ISO code of language
Maximum string length:
4Name of the template
Maximum string length:
128Jinja2 compatible email subject template
Maximum string length:
2048Document type of content
Was this page helpful?
⌘I